Bug 830564 - upstream kernel: btrfsctl -r: crash
upstream kernel: btrfsctl -r: crash
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Zach Brown
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 814950
  Show dependency treegraph
 
Reported: 2012-06-10 12:51 EDT by Jan Kratochvil
Modified: 2015-05-17 21:40 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-05 13:06:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kernel BUG via netconsole (147.81 KB, text/plain)
2012-06-10 12:51 EDT, Jan Kratochvil
no flags Details

  None (edit)
Description Jan Kratochvil 2012-06-10 12:51:36 EDT
Created attachment 590765 [details]
kernel BUG via netconsole

Description of problem:
Tried btrfsctl -r to resize the volume => crash.

Version-Release number of selected component (if applicable):
git://git.kernel.org/pub/scm/linux/kernel/git/josef/btrfs-next.git
commit af1e297c1beea9d424c09ec0b120226c6b21680d
Date:   Fri Jun 8 15:26:47 2012 -0400

How reproducible:
Tried once.

Steps to Reproduce:
btrfsctl -r 90g /

Actual results:
kernel crash

Expected results:
no kernel crash

Additional info:
Comment 1 Fedora End Of Life 2013-04-03 14:05:55 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Justin M. Forbes 2013-04-05 13:01:17 EDT
Is this still a problem with 3.9 based F19 kernels?
Comment 3 Jan Kratochvil 2013-04-05 13:06:53 EDT
The same as Bug 759304 Comment 17:

And I cannot (easily) test it anymore as I had to switch both my boxes back to ext4 as I do not have time to wait 15+ minutes for simple compilation.

Automatically asking for mass retesting of all the open Bugs (see for example Comment 3) is "not friendly" from the kernel maintainers.  Retesting makes sense if the maintainer is aware of a specific fix (which s/he should mention) which could fix the bug.
Comment 4 Dave Jones 2013-04-05 14:49:06 EDT
Jan, with over a thousand open bugs, and just a handful of engineers, us retesting every users bug report isn't feasible. Asking users to do the retesting is the only practical way.

With each rebase of the kernel bringing thousands of changes, we can't be aware of every single fix that gets merged.

Note You need to log in before you can comment on or make changes to this bug.